A pre-SAE Wiimote Stable Tarball....Please?

No replies
GMaq
GMaq's picture
User is online Online
Joined: 2007-12-11
Posts:

Hi,

I've built Ardour 2.6.1 a few times now with VST, LV2, FREESOUND and FFT Analysis. After upgrading my SLV2 libs to 0.6.0 I could build Ardour and create a checkinstall deb with my eyes closed.....

Then Sampo came along with his brilliant Wiimote Hack, so I build CWiiD and download SVN 4195 and then SVN 4200 which now has SAE as well as Wii support and I can't seem to get a build to work.

Firstly the config will not see and use my slv2 0.6.0 which worked previously and if I continue the build, it will build the target but when I go the checkinstall stage it builds but will not install or create a deb package due to something in the SAE folder relating to gtk.

I'm very sorry I can't post the log because due to internet problems I have to post here on a different computer.

Can we get a stable tarball somewhere between Wiimote and SAE? Or Two stable tarballs?

It is annoying enough to have to build the damn thing for VST in the first place without having a perfect build environment fail less than a week later.

Thanks -GLEN

nowhiskey
User offline. Last seen 4 weeks 2 days ago. Offline
Joined: 2006-09-30
Posts:

if you run scons without any errors, you should be able to simply install ardour with 'sudo scons install'.
just choose the same installation prefix as it was for your older ardour version.
no other application on your system is relying on ardour, so why carry about if your package manager will recognize that ardour is installed.

just my thoughts...

cheers,
doc

paul
paul's picture
User offline. Last seen 1 day 8 hours ago. Offline
Joined: 2006-03-16
Posts:

GMaq, "SAE" has always been there (since April 2007 anyway). It is not a separate codebase at all - in fact, when we bundle Ardour for OS X, we are using the *exact* same executable for the SAE and "Classic" version. If you can't get a build to work, you should post the errors you are running into, rather than seeking an end-run around them.

GMaq
GMaq's picture
User is online Online
Joined: 2007-12-11
Posts:

OK,

My apologies for the "tone" I am suffering from extreme "compile fatigue". My bad for not realizing the presence of SAE wasn't new. But hey... I'm a user not a developer:). If I have to learn much more about the guts of Linux just to compile current Ardours I might as well become a developer!

As far as checkinstall, I realize I don't have to use it, but I have more than one machine running Ardour, and with package based distros it's easier to keep everything in one place. having said that my update manager is always bugging me to install an older version so maybe it's not such a bad idea...Thanks Doc

I will try again w/o checkinstall, If I can't make it work I'll have to wait until I don't have to post from my wife's Windows office box.

Thanks

GMaq
GMaq's picture
User is online Online
Joined: 2007-12-11
Posts:

OK.

Tried again w/o checkinstall and have same issue. Below is the lengthy install log. So to clarify scons builds targets with no errors but ignores slv2 0.6.0 which IS installed on system and compiled (pre wiimote) properly the previous week. I also tried building with switch SLV2=1 which worked previously and LV2=1 as the log instructed, no dice either way.

Help appreciated!

pcuser@pcuser-desktop:~/Source/Ardour-2.6.1-SVN4200-FULL$ sudo scons install
[sudo] password for pcuser:
scons: Reading SConscript files ...
Enabling VST support. Note that distributing a VST-enabled ardour
is a violation of several different licences.
Build with VST=false if you intend to distribute ardour to others.
Checking for pkg-config version >= 0.8.0... (cached) yes
Checking for gthread-2.0... (cached) yes
Checking for lrdf... (cached) yes
Checking for libgnomecanvas-2.0... (cached) yes
Checking for gtk+-2.0... (cached) yes
Checking for jack... (cached) yes
Checking for samplerate... (cached) yes
Checking for glib-2.0... (cached) yes
Checking for libxml-2.0... (cached) yes
Checking for raptor... (cached) yes
Checking for fftw3f...(cached) yes
Checking for fftw3...(cached) yes
Checking for aubio...(cached) yes
Checking for C header file fftw3.h... (cached) yes
Checking for C header file curl/curl.h... (cached) yes
LV2 support is not enabled. Build with 'scons LV2=1' to enable.
Congratulations, you have a functioning C++ compiler.
system triple: i686-pc-linux-gnu
Checking for C header file fftw3.h... (cached) yes
Checking for usb_interrupt_write() in C library usb... no
Checking for C header file linux/input.h... yes
Checking for C header file cwiid.h... yes
Checking for C header file bluetooth/bluetooth.h... yes
Checking for FLAC__seekable_stream_decoder_init() in C++ library FLAC... no
Checking for C++ header file boost/shared_ptr.hpp... yes
Checking for lo_server_new() in C library lo... yes
Checking for dmalloc_shutdown() in C library dmallocth... no
Checking for C header file alsa/asoundlib.h... yes
Disabled building Tranzport code because libusb could not be found
Checking for internationalization support ...
Found xgettext
Found msgmerge
Checking for C header file libintl.h... (cached) yes
International version will be built.
Checking for C header file /System/Library/Frameworks/CoreAudio.framework/Versions/A/Headers/CoreAudio.h... no
Checking for C function posix_memalign()... yes
Checking for C function gtk_widget_set_tooltip_text()... yes
============> writing svn revision info to libs/ardour/svn_revision.cc

Checking for C header file /System/Library/Frameworks/CoreServices.framework/Headers/CoreServices.h... no
Checking for C function getmntent()... yes
Checking for C header file execinfo.h... yes
Checking for jack_client_open()...yes
Checking for jack_recompute_total_latencies()...(cached) yes
Checking for JackVideoFrameOffset in jack_position_bits_t enum...yes
Checking for jack_port_ensure_monitor_input()...yes
Checking for C header file wordexp.h... yes
Checking for C header file sys/vfs.h... yes
Checking for C header file /System/Library/Frameworks/CoreMIDI.framework/Headers/CoreMIDI.h... no
Checking for C header file /System/Library/Frameworks/AudioToolbox.framework/Headers/ExtendedAudioFile.h... no
Checking for C header file /System/Library/Frameworks/CoreAudio.framework/Headers/CoreAudio.h... no
Checking for C header file /System/Library/Frameworks/AudioUnit.framework/Headers/AudioUnit.h... no
VST package discovered.
scons: done reading SConscript files.
scons: Building targets ...
Install file: "ardour_system.rc" as "//usr/local/etc/ardour2/ardour_system.rc"
Install file: "templates/32 Tracks.template" as "/usr/local/share/ardour2/templates/32 Tracks.template"
Install file: "templates/4 Tracks.template" as "/usr/local/share/ardour2/templates/4 Tracks.template"
Install file: "templates/8 Tracks.template" as "/usr/local/share/ardour2/templates/8 Tracks.template"
Install file: "templates/2 Track.template" as "/usr/local/share/ardour2/templates/2 Track.template"
Install file: "templates/16 Tracks.template" as "/usr/local/share/ardour2/templates/16 Tracks.template"
Install file: "libs/sigc++2/libsigc++2.so" as "/usr/local/lib/ardour2/libsigc++2.so"
Install file: "libs/libsndfile/libsndfile-ardour.so" as "/usr/local/lib/ardour2/libsndfile-ardour.so"
Install file: "libs/pbd/libpbd.so" as "/usr/local/lib/ardour2/libpbd.so"
Install file: "libs/midi++2/libmidi++.so" as "/usr/local/lib/ardour2/libmidi++.so"
Install file: "libs/ardour/ru_RU.mo" as "/usr/local/share/locale/ru_RU/LC_MESSAGES/libardour2.mo"
Install file: "libs/ardour/el_GR.mo" as "/usr/local/share/locale/el_GR/LC_MESSAGES/libardour2.mo"
Install file: "libs/ardour/it_IT.mo" as "/usr/local/share/locale/it_IT/LC_MESSAGES/libardour2.mo"
Install file: "libs/ardour/pl_PL.mo" as "/usr/local/share/locale/pl_PL/LC_MESSAGES/libardour2.mo"
Install file: "libs/ardour/sv_SE.mo" as "/usr/local/share/locale/sv_SE/LC_MESSAGES/libardour2.mo"
Install file: "libs/ardour/libardour.so" as "/usr/local/lib/ardour2/libardour.so"
Install file: "libs/vamp-sdk/libvampsdk.so" as "/usr/local/lib/ardour2/libvampsdk.so"
Install file: "libs/vamp-sdk/libvamphostsdk.so" as "/usr/local/lib/ardour2/libvamphostsdk.so"
Install file: "libs/vamp-plugins/libardourvampplugins.so" as "/usr/local/lib/ardour2/vamp/libardourvampplugins.so"
Install file: "vst/ardourvst" as "/usr/local/bin/ardourvst"
Install file: "vst/ardour_vst.exe.so" as "/usr/local/lib/ardour2/ardour_vst.exe.so"
Install file: "libs/soundtouch/libsoundtouch.so" as "/usr/local/lib/ardour2/libsoundtouch.so"
Install file: "libs/rubberband/librubberband.so" as "/usr/local/lib/ardour2/librubberband.so"
Install file: "libs/glibmm2/libglibmm2.so" as "/usr/local/lib/ardour2/libglibmm2.so"
Install file: "libs/gtkmm2/pango/libpangomm.so" as "/usr/local/lib/ardour2/libpangomm.so"
Install file: "libs/gtkmm2/atk/libatkmm.so" as "/usr/local/lib/ardour2/libatkmm.so"
Install file: "libs/gtkmm2/gdk/libgdkmm2.so" as "/usr/local/lib/ardour2/libgdkmm2.so"
Install file: "libs/gtkmm2/gtk/libgtkmm2.so" as "/usr/local/lib/ardour2/libgtkmm2.so"
Install file: "libs/libgnomecanvasmm/libgnomecanvasmm.so" as "/usr/local/lib/ardour2/libgnomecanvasmm.so"
Install file: "libs/gtkmm2ext/ru_RU.mo" as "/usr/local/share/locale/ru_RU/LC_MESSAGES/libgtkmm2ext.mo"
Install file: "libs/gtkmm2ext/pt_BR.mo" as "/usr/local/share/locale/pt_BR/LC_MESSAGES/libgtkmm2ext.mo"
Install file: "libs/gtkmm2ext/el_GR.mo" as "/usr/local/share/locale/el_GR/LC_MESSAGES/libgtkmm2ext.mo"
Install file: "libs/gtkmm2ext/pl_PL.mo" as "/usr/local/share/locale/pl_PL/LC_MESSAGES/libgtkmm2ext.mo"
Install file: "libs/gtkmm2ext/es_ES.mo" as "/usr/local/share/locale/es_ES/LC_MESSAGES/libgtkmm2ext.mo"
Install file: "libs/gtkmm2ext/libgtkmm2ext.so" as "/usr/local/lib/ardour2/libgtkmm2ext.so"
Install file: "gtk2_ardour/libardourgtk.so" as "/usr/local/lib/ardour2/libardourgtk.so"
Install file: "gtk2_ardour/ru_RU.mo" as "/usr/local/share/locale/ru_RU/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/de_DE.mo" as "/usr/local/share/locale/de_DE/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/pt_BR.mo" as "/usr/local/share/locale/pt_BR/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/el_GR.mo" as "/usr/local/share/locale/el_GR/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/pt_PT.mo" as "/usr/local/share/locale/pt_PT/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/it_IT.mo" as "/usr/local/share/locale/it_IT/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/pl_PL.mo" as "/usr/local/share/locale/pl_PL/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/es_ES.mo" as "/usr/local/share/locale/es_ES/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/fr_FR.mo" as "/usr/local/share/locale/fr_FR/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/sv_SE.mo" as "/usr/local/share/locale/sv_SE/LC_MESSAGES/gtk2_ardour.mo"
Install file: "gtk2_ardour/ardour2_ui_dark.rc" as "//usr/local/etc/ardour2/ardour2_ui_dark.rc"
Install file: "gtk2_ardour/ardour2_ui_light.rc" as "//usr/local/etc/ardour2/ardour2_ui_light.rc"
Install file: "gtk2_ardour/ardour2_ui_dark_sae.rc" as "//usr/local/etc/ardour2/ardour2_ui_dark_sae.rc"
Install file: "gtk2_ardour/ardour2_ui_light_sae.rc" as "//usr/local/etc/ardour2/ardour2_ui_light_sae.rc"
Install file: "gtk2_ardour/ardour2_ui_default.conf" as "//usr/local/etc/ardour2/ardour2_ui_default.conf"
Install file: "gtk2_ardour/ardour.menus" as "//usr/local/etc/ardour2/ardour.menus"
Install file: "gtk2_ardour/ardour-sae.menus" as "//usr/local/etc/ardour2/ardour-sae.menus"
Install file: "gtk2_ardour/ergonomic-us.bindings" as "//usr/local/etc/ardour2/ergonomic-us.bindings"
Install file: "gtk2_ardour/mnemonic-us.bindings" as "//usr/local/etc/ardour2/mnemonic-us.bindings"
scons: *** Source `gtk2_ardour/SAE-de.bindings' not found, needed by target `//usr/local/etc/ardour2/SAE-de.bindings'. Stop.
scons: building terminated because of errors.
pcuser@pcuser-desktop:~/Source/Ardour-2.6.1-SVN4200-FULL$

joegiampaoli
joegiampaoli's picture
User offline. Last seen 22 weeks 5 days ago. Offline
Joined: 2008-02-27
Posts:

Hmmmmm, strange the other day I built the one with wiimote for testing without any issues (remember I am an unhappy Hardy user on an unhappy Hardy environment), only difference was that I didn't build with VST support, actually I really try not to use VST on linux, but I do build with LV2, FFT and FREESOUND but maybe that could be the difference? not sure........ I didn't build a deb for that one, just wanted to see the wii-stuff in it and see if it would be a good idea to get a wii-mote, but never got any errors like yours.

rafafredd
User offline. Last seen 4 years 28 weeks ago. Offline
Joined: 2008-08-23
Posts:

I’ve built Ardour 2.6.1 a few times now with VST, LV2, FREESOUND and FFT Analysis. After upgrading my SLV2 libs to 0.6.0 I could build Ardour and create a checkinstall deb with my eyes closed…..

is it available as a ready to install pack maybe? would be nice!

peder
User offline. Last seen 48 weeks 6 days ago. Offline
Joined: 2007-05-08
Posts:

Regarding slv-0.6.0 problems:
Ardour 2.7 (which is svn 4225) requires slv 0.6.1 so I figure your svn checkout probably does as well.

GMaq
GMaq's picture
User is online Online
Joined: 2007-12-11
Posts:

Peder,

Thanks a lot for the tip I will try it ASAP, since I usually log in directly to the forum I didn't even realize there was a 2.7! It's getting difficult to keep up. I still don't understand the actual install error but one step at a time I guess!

@rafafredd

Sorry, firstly sharing a checkinstall deb is a bad idea because checkinstall debs don't automatically find/install dependencies on outside systems. Also VST support is illegal to re-distribute. I unfortunately don't know how to build proper Debian packages at this point in time. Maybe someday.

GMaq
GMaq's picture
User is online Online
Joined: 2007-12-11
Posts:

Peder,

Well you were right, I needed slv2 0.6.1 and also to build that I needed Redland 1.0.6 or greater. So if anyone else is reading for SLV2 support you will need these two libs, this stuff should really be posted with the new stable builds.